package StructuralClass;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class PicData extends JceStruct {
    public byte imgType;
    public String imgUrl;
    public String thumbUrl;

    public PicData() {
        super();
        this.imgUrl = "";
        this.thumbUrl = "";
        this.imgType = 0;
    }

    public PicData(String arg2, String arg3, byte arg4) {
        super();
        this.imgUrl = "";
        this.thumbUrl = "";
        this.imgType = 0;
        this.imgUrl = arg2;
        this.thumbUrl = arg3;
        this.imgType = arg4;
    }

    public final void readFrom(c arg4) {
        this.imgUrl = arg4.b(0, true);
        this.thumbUrl = arg4.b(1, false);
        this.imgType = arg4.a(this.imgType, 2, false);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.imgUrl, 0);
        if(this.thumbUrl != null) {
            arg3.a(this.thumbUrl, 1);
        }

        arg3.a(this.imgType, 2);
    }

}
